Redmine - Defect #21087

Failed to save member(s): User has already been taken

2015-10-27 15:28 - Stephane Evr

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Project settings Estimated time: 0.00 hour
Target version:

Resolution: Wont fix Affected version: 3.1.0
Description

Create a project A, then a subproject A1, and check "Inherit members" on A1.

Then go to Users / user_xx / Projects and click "Add".

In Project list, select projects A, A1, and any role, then click "Add": The message "Failed to save member(s): User has already been

taken" will appear.

In my opinion, if "Inherit members" is selected on subproject A1, and we select project A on the modal, then the A1 project checkbox
should be disabled, but checked automatically to tell the user there is an inheritance rule.

History

#1 - 2015-11-25 14:57 - Toshi MARUYAMA

- Category set to Project settings

#2 - 2016-03-18 12:49 - Stephane Evr

Bug seems to have disappeared on 3.2.1-stable. Could not reproduce it.

#3 - 2016-04-17 07:00 - Toshi MARUYAMA
- Status changed from New to Closed
- Resolution set to Wont fix
| can reproduce.
e open dialog of adding member to project
¢ change project inheritance setting

¢ try to save on dialog

But it is very rare case.
